org.jacoco.report.internal.html.page

## Class PackageSourcePage

- java.lang.Object
- - org.jacoco.report.internal.html.page.ReportPage
  - - org.jacoco.report.internal.html.page.NodePage<NodeType>
    - - org.jacoco.report.internal.html.page.TablePage<IPackageCoverage>
      - - org.jacoco.report.internal.html.page.PackageSourcePage

All Implemented Interfaces:
  ILinkable, ITableItem

    public class PackageSourcePage
    extends TablePage<IPackageCoverage>

Page showing coverage information for a Java package. The page contains a table with all classes of the package.

### Field Summary

### Fields inherited from class org.jacoco.report.internal.html.page.ReportPage

`context, folder`

### Constructor Summary

Constructors
Constructor and Description
`PackageSourcePage(IPackageCoverage node, ReportPage parent, ISourceFileLocator locator, ReportOutputFolder folder, IHTMLReportContext context, ILinkable packagePage)` Creates a new visitor in the given context.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `getFileName()` Specifies the local file name of this page.
`String` `getLinkLabel()` Returns the display label used for the link.
`protected String` `getOnload()` Returns the onload handler for this page.
`protected void` `infoLinks(HTMLElement span)` Inserts additional links on the top right corner.
`void` `render()` Renders this page's content and optionally additional pages.

### Methods inherited from class org.jacoco.report.internal.html.page.TablePage

`addItem, content, head`

### Methods inherited from class org.jacoco.report.internal.html.page.NodePage

`getLinkStyle, getNode`

### Methods inherited from class org.jacoco.report.internal.html.page.ReportPage

`getLink, isRootPage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jacoco.report.internal.html.ILinkable

`getLink`

### Constructor Detail

#### PackageSourcePage

    public PackageSourcePage(IPackageCoverage node,
                             ReportPage parent,
                             ISourceFileLocator locator,
                             ReportOutputFolder folder,
                             IHTMLReportContext context,
                             ILinkable packagePage)

Creates a new visitor in the given context.

Parameters:
  `node` - coverage data for this package
  `parent` - optional hierarchical parent
  `locator` - source locator
  `folder` - base folder to create this page in
  `context` - settings context
  `packagePage` - page listing the classes of this package

### Method Detail

#### render

    public void render()
                throws IOException

Description copied from class: `ReportPage`
Renders this page's content and optionally additional pages. This method must be called at most once.

Overrides:
  `render` in class `ReportPage`
Throws:
  `IOException` - if the page can't be written

#### getOnload

    protected String getOnload()

Description copied from class: `ReportPage`
Returns the onload handler for this page.

Overrides:
  `getOnload` in class `ReportPage`
Returns:
  handler or `null`

#### getFileName

    protected String getFileName()

Description copied from class: `ReportPage`
Specifies the local file name of this page.

Specified by:
  `getFileName` in class `ReportPage`
Returns:
  local file name

#### getLinkLabel

    public String getLinkLabel()

Description copied from interface: `ILinkable`
Returns the display label used for the link.

Specified by:
  `getLinkLabel` in interface `ILinkable`
Overrides:
  `getLinkLabel` in class `NodePage<IPackageCoverage>`
Returns:
  display label

#### infoLinks

    protected void infoLinks(HTMLElement span)
                      throws IOException

Description copied from class: `ReportPage`
Inserts additional links on the top right corner.

Overrides:
  `infoLinks` in class `ReportPage`
Parameters:
  `span` - parent element
Throws:
  `IOException` - in case of IO problems with the report writer